Bug 1986573 - [4.8z] Services sync causes too many ovn load balancer deletes
Summary: [4.8z] Services sync causes too many ovn load balancer deletes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Tim Rozet
QA Contact: Kedar Kulkarni
URL:
Whiteboard: perfscale-ovn
Depends On: 1956955
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-27 19:46 UTC by Tim Rozet
Modified: 2021-08-10 11:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1956955
Environment:
Last Closed: 2021-08-10 11:28:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 631 0 None open Bug 1986573: Declare a maximum line length for batching 2021-07-27 19:49:33 UTC
Red Hat Product Errata RHSA-2021:2983 0 None None None 2021-08-10 11:29:27 UTC

Comment 2 Kedar Kulkarni 2021-07-30 18:07:40 UTC
Hi,

I tested this bz on build 4.8.0-0.nightly-2021-07-30-072310 . After running 2000 iterations of cluster density for 250 nodes, I was able to see the `remove load_balancer` being called 14025 times vs original bz reported 29000. There were no errors there about bash too many args.

Based on this info, I am closing this BZ as verified.

Comment 5 errata-xmlrpc 2021-08-10 11:28:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.4 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2983


Note You need to log in before you can comment on or make changes to this bug.